Error after installation

Hello Folk’s!!! (I dont know if there’s a specific discussion list for RTIR, therefore…)

I have installed RT 3.4.2 and running so fine. Yesterday, I needed to install RT Incident Response (1.0.5) to make some tests. The installation finished with success and the integration with RT alright too… But, when I click in any link into “RTIR Home” (like “Incidents”, “Investigations”, etc.) appears the error below. What’s the problem?! I’m running RT by Apache + FastCGI (only RTIR doesn’t work… RT and RTFM keeps working normally!).

error: too many arguments at /l/disk1/ccdsin/rt-3.4.2/lib/RT/Tickets_Overlay.pm line 1269

context: …
265: # whether they should generate a full stack trace (confess() and cluck())
266: # or simply report the caller’s package (croak() and carp()), respectively.
267: # confess() and croak() die, carp() and cluck() warn.
268:
269: sub croak { die shortmess @_ }
270: sub confess { die longmess @_ }
271: sub carp { warn shortmess @_ }
272: sub cluck { warn longmess @_ }
273:

code stack: /l/disk1/ccdsin/perl/lib/5.8.6/Carp.pm:269
…/…/lib/Storable.pm (autosplit into …/…/lib/auto/Storable/logcroak.al):71
…/…/lib/Storable.pm (autosplit into …/…/lib/auto/Storable/_freeze.al):283
…/…/lib/Storable.pm (autosplit into …/…/lib/auto/Storable/freeze.al):266
/l/disk1/ccdsin/rt-3.4.2/lib/RT/Tickets_Overlay.pm:1269
/l/disk1/ccdsin/rt-3.4.2/share/html/RTIR/Elements/SearchFields:63
/l/disk1/ccdsin/rt-3.4.2/share/html/RTIR/Listing.html:36
/l/disk1/ccdsin/rt-3.4.2/share/html/RTIR/autohandler:2
/l/disk1/ccdsin/rt-3.4.2/share/html/autohandler:215

Regards,

Rodolfo de Moraes Reis
Diretoria de Soluções de
Inteligência de Negócios
CPqD Telecom & IT Solutions
Tel.: +55 19 3705-5986
Fax: +55 19 3705-6786
rmreis@cpqd.com.br
www.cpqd.com.br

Really?! I can’t change the RT version… it seems no sense… like walk against the RT evolution!! :slight_smile:

Is there some RTIR version that works with RT 3.4.2?!

Thank’s All!
Regards,
Rodolfo Reis.-----Original Message-----
From: Garvey, Joshua C. [mailto:JOSHUA.C.GARVEY@saic.com]
Sent: Thu 7/7/2005 6:51 PM
To: Rodolfo de Moraes Reis
Cc:
Subject: Re: [Rtir] Error after installation…
I ran into this issue some months back. It seems that if you are going to
use RTIR 1.0.5 (stable) you can not use RT 3.4.2. The latest version of RT
that works with RTIR is 3.0.12.
Joshua Garvey
Jr. Security Engineer
SAIC Security
Desk: 713-296-4564
Cell: 713-385-5581
joshua.c.garvey@saic.com

-----Original Message-----
From: rtir-bounces@lists.bestpractical.com
rtir-bounces@lists.bestpractical.com
To: rtir@lists.bestpractical.com rtir@lists.bestpractical.com
Sent: Thu Jul 07 13:39:34 2005
Subject: [Rtir] Error after installation…

Hello Folk’s!!! (I dont know if there’s a specific discussion list for RTIR,
therefore…)

I have installed RT 3.4.2 and running so fine. Yesterday, I needed to
install RT Incident Response (1.0.5) to make some tests. The installation
finished with success and the integration with RT alright too… But, when
I click in any link into “RTIR Home” (like “Incidents”, “Investigations”,
etc.) appears the error below. What’s the problem?! I’m running RT by Apache

  • FastCGI (only RTIR doesn’t work… RT and RTFM keeps working normally!).

error: too many arguments at
/l/disk1/ccdsin/rt-3.4.2/lib/RT/Tickets_Overlay.pm line 1269

context: …
265: # whether they should generate a full stack trace (confess() and
cluck())
266: # or simply report the caller’s package (croak() and carp()),
respectively.
267: # confess() and croak() die, carp() and cluck() warn.
268:
269: sub croak { die shortmess @_ }
270: sub confess { die longmess @_ }
271: sub carp { warn shortmess @_ }
272: sub cluck { warn longmess @_ }
273:

code stack: /l/disk1/ccdsin/perl/lib/5.8.6/Carp.pm:269
…/…/lib/Storable.pm (autosplit into
…/…/lib/auto/Storable/logcroak.al):71
…/…/lib/Storable.pm (autosplit into
…/…/lib/auto/Storable/_freeze.al):283
…/…/lib/Storable.pm (autosplit into …/…/lib/auto/Storable/freeze.al):266
/l/disk1/ccdsin/rt-3.4.2/lib/RT/Tickets_Overlay.pm:1269
/l/disk1/ccdsin/rt-3.4.2/share/html/RTIR/Elements/SearchFields:63
/l/disk1/ccdsin/rt-3.4.2/share/html/RTIR/Listing.html:36
/l/disk1/ccdsin/rt-3.4.2/share/html/RTIR/autohandler:2
/l/disk1/ccdsin/rt-3.4.2/share/html/autohandler:215

Regards,

Rodolfo de Moraes Reis
Diretoria de Soluções de
Inteligência de Negócios
CPqD Telecom & IT Solutions
Tel.: +55 19 3705-5986
Fax: +55 19 3705-6786
rmreis@cpqd.com.br
www.cpqd.com.br

Rtir mailing list
Rtir@lists.bestpractical.com
http://lists.bestpractical.com/cgi-bin/mailman/listinfo/rtir

Hello mate,

RT 3.4.2 doesn’t work with RTIR 1.0.5, as you already know, if you
should use RTIR 1.1.5.

Cheers,
Carlos

El vie, 08-07-2005 a las 00:03 -0300, Rodolfo de Moraes Reis escribiᅵ:

Really?! I can’t change the RT version… it seems no sense… like walk against the RT evolution!! :slight_smile:

Is there some RTIR version that works with RT 3.4.2?!

Thank’s All!
Regards,
Rodolfo Reis.

-----Original Message-----
From: Garvey, Joshua C. [mailto:JOSHUA.C.GARVEY@saic.com]
Sent: Thu 7/7/2005 6:51 PM
To: Rodolfo de Moraes Reis
Cc:
Subject: Re: [Rtir] Error after installation…
I ran into this issue some months back. It seems that if you are going to
use RTIR 1.0.5 (stable) you can not use RT 3.4.2. The latest version of RT
that works with RTIR is 3.0.12.

Joshua Garvey
Jr. Security Engineer
SAIC Security
Desk: 713-296-4564
Cell: 713-385-5581
joshua.c.garvey@saic.com

Sent from my BlackBerry Wireless Handheld

-----Original Message-----
From: rtir-bounces@lists.bestpractical.com
rtir-bounces@lists.bestpractical.com
To: rtir@lists.bestpractical.com rtir@lists.bestpractical.com
Sent: Thu Jul 07 13:39:34 2005
Subject: [Rtir] Error after installation…

Hello Folk’s!!! (I dont know if there’s a specific discussion list for RTIR,
therefore…)

I have installed RT 3.4.2 and running so fine. Yesterday, I needed to
install RT Incident Response (1.0.5) to make some tests. The installation
finished with success and the integration with RT alright too… But, when
I click in any link into “RTIR Home” (like “Incidents”, “Investigations”,
etc.) appears the error below. What’s the problem?! I’m running RT by Apache

  • FastCGI (only RTIR doesn’t work… RT and RTFM keeps working normally!).

error: too many arguments at
/l/disk1/ccdsin/rt-3.4.2/lib/RT/Tickets_Overlay.pm line 1269

context: …
265: # whether they should generate a full stack trace (confess() and
cluck())
266: # or simply report the caller’s package (croak() and carp()),
respectively.
267: # confess() and croak() die, carp() and cluck() warn.
268:
269: sub croak { die shortmess @_ }
270: sub confess { die longmess @_ }
271: sub carp { warn shortmess @_ }
272: sub cluck { warn longmess @_ }
273:

code stack: /l/disk1/ccdsin/perl/lib/5.8.6/Carp.pm:269
…/…/lib/Storable.pm (autosplit into
…/…/lib/auto/Storable/logcroak.al):71
…/…/lib/Storable.pm (autosplit into
…/…/lib/auto/Storable/_freeze.al):283
…/…/lib/Storable.pm (autosplit into …/…/lib/auto/Storable/freeze.al):266
/l/disk1/ccdsin/rt-3.4.2/lib/RT/Tickets_Overlay.pm:1269
/l/disk1/ccdsin/rt-3.4.2/share/html/RTIR/Elements/SearchFields:63
/l/disk1/ccdsin/rt-3.4.2/share/html/RTIR/Listing.html:36
/l/disk1/ccdsin/rt-3.4.2/share/html/RTIR/autohandler:2
/l/disk1/ccdsin/rt-3.4.2/share/html/autohandler:215

Regards,

Rodolfo de Moraes Reis
Diretoria de Soluᅵᅵes de
Inteligï¿œncia de Negï¿œcios
CPqD Telecom & IT Solutions
Tel.: +55 19 3705-5986
Fax: +55 19 3705-6786
rmreis@cpqd.com.br
www.cpqd.com.br


Rtir mailing list
Rtir@lists.bestpractical.com
http://lists.bestpractical.com/cgi-bin/mailman/listinfo/rtir


http://lists.bestpractical.com/cgi-bin/mailman/listinfo/rt-users

Be sure to check out the RT Wiki at http://wiki.bestpractical.com

Carlos Fuentes Bermejo carlos.fuentes@rediris.es
RedIRIS